> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process the reset password form

> Validates the reset token, updates the user password and
revokes every existing token so all sessions are logged out.



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/entity-manager post /oauth/reset-password
openapi: 3.0.0
info:
  title: entity-manager
  version: unknown
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 400 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /oauth/reset-password:
    post:
      tags:
        - OAuth
      summary: Process the reset password form
      description: |-
        Validates the reset token, updates the user password and
        revokes every existing token so all sessions are logged out.
      operationId: oauth-post-reset-password
      parameters: []
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                token:
                  type: string
                password:
                  type: string
                password_confirm:
                  type: string
                lang:
                  type: string
              required:
                - token
                - password
                - password_confirm
              additionalProperties: false
      responses:
        '204':
          description: No Content
      security:
        - password_auth: []
components:
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````